Groovy Documentation

## org.codehaus.groovy.bsf
[Java] Class CachingGroovyEngine

    java.lang.Object
      org.apache.bsf.util.BSFEngineImpl
          org.codehaus.groovy.bsf.GroovyEngine
              org.codehaus.groovy.bsf.CachingGroovyEngine

    public class CachingGroovyEngine
    extends GroovyEngine

A Caching implementation of the GroovyEngine

Authors:
  James Birchfield

Field Summary

Fields inherited from class GroovyEngine
shell

Method Summary
`java.lang.Object` | `eval(java.lang.String source, int lineNo, int columnNo, java.lang.Object script)` Evaluate an expression.
`void` | `exec(java.lang.String source, int lineNo, int columnNo, java.lang.Object script)` Execute a script.
`void` | `initialize(BSFManager mgr, java.lang.String lang, java.util.Vector declaredBeans)` Initialize the engine.

Methods inherited from class GroovyEngine
apply, call, declareBean, eval, exec, getEvalShell, initialize, undeclareBean

Method Detail

### eval

    public java.lang.Object eval(java.lang.String source, int lineNo, int columnNo, java.lang.Object script)

  Evaluate an expression.

### exec

    public void exec(java.lang.String source, int lineNo, int columnNo, java.lang.Object script)

  Execute a script.

### initialize

    public void initialize(BSFManager mgr, java.lang.String lang, java.util.Vector declaredBeans)

  Initialize the engine.

Groovy Documentation